petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSForwardSetUp

Sets up the internal data structures for the later use of forward sensitivity analysis

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSForwardSetUp(TS ts)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### Keywords

TS, forward sensitivity, setup

### See Also

TSCreate(), TSDestroy(), TSSetUp()

### Level

advanced

### Location

src/ts/interface/sensitivity/tssen.c

### Implementations

TSForwardSetUp_Theta in src/ts/impls/implicit/theta/theta.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages